Bug 602683 - [abrt] crash in ekiga-3.2.7-1.fc13: PAbstractArray::PAbstractArray
[abrt] crash in ekiga-3.2.7-1.fc13: PAbstractArray::PAbstractArray
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:1797d73ea23b6d3a7199d4f227f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 09:25 EDT by oliver
Modified: 2011-06-27 13:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:56:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.50 KB, text/plain)
2010-06-10 09:25 EDT, oliver
no flags Details
New crash backtrace (123.86 KB, application/octet-stream)
2010-06-10 18:30 EDT, oliver
no flags Details
ekiga -d 4 logfile corresponding to the new backtrace of the crash (131.20 KB, application/octet-stream)
2010-06-10 18:31 EDT, oliver
no flags Details

  None (edit)
Description oliver 2010-06-10 09:25:18 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: ekiga
component: ekiga
executable: /usr/bin/ekiga
global_uuid: 1797d73ea23b6d3a7199d4f227fe9ac419f1427d
kernel: 2.6.33.5-112.fc13.i686
package: ekiga-3.2.7-1.fc13
rating: 3
reason: Process /usr/bin/ekiga was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Quit ekiga 
2.
3.
Comment 1 oliver 2010-06-10 09:25:21 EDT
Created attachment 422904 [details]
File: backtrace
Comment 2 Peter Robinson 2010-06-10 09:31:00 EDT
Can you please run ekiga from a terminal with the command 'ekiga -d 4' and attach the output of of the debug as a text file to the file.
Comment 3 oliver 2010-06-10 17:30:57 EDT
(In reply to comment #2)
> Can you please run ekiga from a terminal with the command 'ekiga -d 4' and
> attach the output of of the debug as a text file to the file.    

Do you need any trace, or one where it crashes?  I have seen about three or four crashes when playing with ekiga (see my other recent bug reports) and finally filed the last one.  I do not know how to reproducibly crash it (usually happens on exit as far as I remember), all I can do is to play some more with -d 4 and hope it'll crash again.  Should I then file a new bug, since it might be a different crash?
Comment 4 Peter Robinson 2010-06-10 17:47:12 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Can you please run ekiga from a terminal with the command 'ekiga -d 4' and
> > attach the output of of the debug as a text file to the file.    
> 
> Do you need any trace, or one where it crashes?

I need the 'ekiga -d 4' debug for when it crashes on exit as that is what this bug report is for.
Comment 5 oliver 2010-06-10 18:30:56 EDT
Created attachment 423076 [details]
New crash backtrace

Was able to crash ekiga again.  Ekiga was in a state where bug 

https://bugzilla.redhat.com/show_bug.cgi?id=481722

was present, i.e. no audio available.  Starting and quitting ekiga sometimes gets audio to work, sometimes not.  This crash does not always occur when audio does not work.  I have not seen it when audio works.  No idea if there is a relation.  All I am seeing is very nonreproducable behavior.
Comment 6 oliver 2010-06-10 18:31:55 EDT
Created attachment 423077 [details]
ekiga -d 4 logfile corresponding to the new backtrace of the crash
Comment 7 Bug Zapper 2011-06-02 07:20:50 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-27 13:56:41 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.